cascading.platform.local

## Class LocalPlatform

- java.lang.Object
- - cascading.platform.TestPlatform
  - - cascading.platform.local.LocalPlatform

-     public class LocalPlatform
      extends cascading.platform.TestPlatform

  Class LocalPlatform is automatically loaded and injected into a `PlatformTestCase` instance so that all *PlatformTest classes can be tested against the Cascading local mode planner.

- - ### Field Summary

    - ### Fields inherited from class cascading.platform.TestPlatform

      `CLUSTER_TESTING_PROPERTY, numGatherPartitions, numMappers, numReducers, PLATFORM_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalPlatform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromLocal(String inputFile)`
    `void` | `copyToLocal(String outputFile)`
    `cascading.tap.Tap` | `getDelimitedFile(cascading.tuple.Fields fields, boolean skipHeader, boolean writeHeader, String delimiter, String quote, Class[] types, String filename, cascading.tap.SinkMode mode)`
    `cascading.tap.Tap` | `getDelimitedFile(cascading.tuple.Fields fields, boolean hasHeader, String delimiter, String quote, Class[] types, String filename, cascading.tap.SinkMode mode)`
    `cascading.tap.Tap` | `getDelimitedFile(String delimiter, String quote, cascading.scheme.util.FieldTypeResolver fieldTypeResolver, String filename, cascading.tap.SinkMode mode)`
    `cascading.flow.FlowConnector` | `getFlowConnector(Map<Object,Object> properties)`
    `cascading.flow.FlowProcess` | `getFlowProcess()`
    `String` | `getHiddenTemporaryPath()`
    `Comparator` | `getLongComparator(boolean reverseSort)`
    `cascading.tap.Tap` | `getPartitionTap(cascading.tap.Tap sink, cascading.tap.partition.Partition partition, int openThreshold)`
    `Map<Object,Object>` | `getProperties()`
    `Comparator` | `getStringComparator(boolean reverseSort)`
    `cascading.tap.Tap` | `getTap(cascading.scheme.Scheme scheme, String filename, cascading.tap.SinkMode mode)`
    `cascading.scheme.Scheme` | `getTestConfigDefScheme()`
    `cascading.scheme.Scheme` | `getTestFailScheme()`
    `cascading.tap.Tap` | `getTextFile(cascading.tuple.Fields sourceFields, cascading.tuple.Fields sinkFields, String filename, cascading.tap.SinkMode mode)`
    `boolean` | `remoteExists(String outputFile)`
    `boolean` | `remoteRemove(String outputFile, boolean recursive)`
    `void` | `setUp()`
    `void` | `tearDown()`

    - ### Methods inherited from class cascading.platform.TestPlatform

      `getApplicationJar, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getDelimitedFile, getFlowConnector, getGlobalProperties, getName, getNumGatherPartitions, getNumGatherPartitionTasks, getNumMappers, getNumMapTasks, getNumReducers, getNumReduceTasks, getTabDelimitedFile, getTabDelimitedFile, getTextFile, getTextFile, getTextFile, getTextFile, isDAG, isMapReduce, isUseCluster, setNumGatherPartitions, setNumGatherPartitionTasks, setNumMappers, setNumMapTasks, setNumReducers, setNumReduceTasks, setUseCluster, supportsGroupByAfterMerge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalPlatform

          public LocalPlatform()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws IOException

      Specified by:
        `setUp` in class `cascading.platform.TestPlatform`
      Throws:
        `IOException`

    - #### getProperties

          public Map<Object,Object> getProperties()

      Specified by:
        `getProperties` in class `cascading.platform.TestPlatform`

    - #### tearDown

          public void tearDown()

      Specified by:
        `tearDown` in class `cascading.platform.TestPlatform`

    - #### copyFromLocal

          public void copyFromLocal(String inputFile)
                             throws IOException

      Specified by:
        `copyFromLocal` in class `cascading.platform.TestPlatform`
      Throws:
        `IOException`

    - #### copyToLocal

          public void copyToLocal(String outputFile)
                           throws IOException

      Specified by:
        `copyToLocal` in class `cascading.platform.TestPlatform`
      Throws:
        `IOException`

    - #### remoteExists

          public boolean remoteExists(String outputFile)
                               throws IOException

      Specified by:
        `remoteExists` in class `cascading.platform.TestPlatform`
      Throws:
        `IOException`

    - #### remoteRemove

          public boolean remoteRemove(String outputFile,
                                      boolean recursive)
                               throws IOException

      Specified by:
        `remoteRemove` in class `cascading.platform.TestPlatform`
      Throws:
        `IOException`

    - #### getFlowProcess

          public cascading.flow.FlowProcess getFlowProcess()

      Specified by:
        `getFlowProcess` in class `cascading.platform.TestPlatform`

    - #### getFlowConnector

          public cascading.flow.FlowConnector getFlowConnector(Map<Object,Object> properties)

      Specified by:
        `getFlowConnector` in class `cascading.platform.TestPlatform`

    - #### getTap

          public cascading.tap.Tap getTap(cascading.scheme.Scheme scheme,
                                          String filename,
                                          cascading.tap.SinkMode mode)

      Specified by:
        `getTap` in class `cascading.platform.TestPlatform`

    - #### getTextFile

          public cascading.tap.Tap getTextFile(cascading.tuple.Fields sourceFields,
                                               cascading.tuple.Fields sinkFields,
                                               String filename,
                                               cascading.tap.SinkMode mode)

      Specified by:
        `getTextFile` in class `cascading.platform.TestPlatform`

    - #### getDelimitedFile

          public cascading.tap.Tap getDelimitedFile(cascading.tuple.Fields fields,
                                                    boolean hasHeader,
                                                    String delimiter,
                                                    String quote,
                                                    Class[] types,
                                                    String filename,
                                                    cascading.tap.SinkMode mode)

      Specified by:
        `getDelimitedFile` in class `cascading.platform.TestPlatform`

    - #### getDelimitedFile

          public cascading.tap.Tap getDelimitedFile(cascading.tuple.Fields fields,
                                                    boolean skipHeader,
                                                    boolean writeHeader,
                                                    String delimiter,
                                                    String quote,
                                                    Class[] types,
                                                    String filename,
                                                    cascading.tap.SinkMode mode)

      Specified by:
        `getDelimitedFile` in class `cascading.platform.TestPlatform`

    - #### getDelimitedFile

          public cascading.tap.Tap getDelimitedFile(String delimiter,
                                                    String quote,
                                                    cascading.scheme.util.FieldTypeResolver fieldTypeResolver,
                                                    String filename,
                                                    cascading.tap.SinkMode mode)

      Specified by:
        `getDelimitedFile` in class `cascading.platform.TestPlatform`

    - #### getPartitionTap

          public cascading.tap.Tap getPartitionTap(cascading.tap.Tap sink,
                                                   cascading.tap.partition.Partition partition,
                                                   int openThreshold)

      Specified by:
        `getPartitionTap` in class `cascading.platform.TestPlatform`

    - #### getTestConfigDefScheme

          public cascading.scheme.Scheme getTestConfigDefScheme()

      Specified by:
        `getTestConfigDefScheme` in class `cascading.platform.TestPlatform`

    - #### getTestFailScheme

          public cascading.scheme.Scheme getTestFailScheme()

      Specified by:
        `getTestFailScheme` in class `cascading.platform.TestPlatform`

    - #### getLongComparator

          public Comparator getLongComparator(boolean reverseSort)

      Specified by:
        `getLongComparator` in class `cascading.platform.TestPlatform`

    - #### getStringComparator

          public Comparator getStringComparator(boolean reverseSort)

      Specified by:
        `getStringComparator` in class `cascading.platform.TestPlatform`

    - #### getHiddenTemporaryPath

          public String getHiddenTemporaryPath()

      Specified by:
        `getHiddenTemporaryPath` in class `cascading.platform.TestPlatform`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.